org.eclipse.rap.rwt.remote

## Interface Connection

    public interface Connection

An instance of this interface represents a connection used to communicate with the client. Every UI session has exactly one connection which can be obtained by calling `UISession.getConnection()`.

Since:
  2.0
See Also:
  `UISession.getConnection()`

### Method Summary

All Methods Instance Methods Abstract Methods
`RemoteObject` `createRemoteObject(java.lang.String remoteType)` Creates a new remote object on the client with the given remote type.

### Method Detail

#### createRemoteObject

    RemoteObject createRemoteObject(java.lang.String remoteType)

Creates a new remote object on the client with the given remote type. The type must be known by the client, and the client must be able to create an object of this type. The returned `RemoteObject` can be used to communicate with the remote object.

Parameters:
  `remoteType` - the type of the remote object to be created, must not be `null`
Returns:
  a representation of the remote object that has been created

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0